#!/usr/bin/env python

"""Module 'enums' provides common enumerations shared by more modules."""

from enum import Enum

class Alert(Enum):
    """Defines names for dialog messages without a question."""

    first_node_first = 1
    datapath_before_end_node = 2
    selected_must_neighbor = 3
    node_inactive = 4
    datapath_inactive = 5
    connection_timed_out = 6
    connection_failed = 7
    connection_closed = 8
    connection_lost = 9
    path_definition_failed = 10
    internal_error = 11


class AlertQuestion(Enum):
    """Defines names for dialog messages with a question."""

    start_all_over = 1
    delete_all_succeeding = 2
    discard_defined_path = 3


class DeviceType(Enum):
    """Defines names for hierarchy types of networking devices."""

    datapath_access = 'datapath_access'
    datapath_distribution = 'datapath_distribution'
    datapath_core = 'datapath_core'
    node = 'node'


class IpProtocol(Enum):
    """Defines names for IP protocols."""

    all_ip = 1
    tcp = 2
    udp = 3
